Bug 213316 - nautilus ignores umask
Summary: nautilus ignores umask
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends On:
Blocks: 276041
TreeView+ depends on / blocked
 
Reported: 2006-10-31 19:36 UTC by Harald Jensås
Modified: 2008-02-04 06:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 06:13:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the patch posted on the bugzilla.gnome (772 bytes, patch)
2006-10-31 19:36 UTC, Harald Jensås
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 327249 None None None Never

Description Harald Jensås 2006-10-31 19:36:40 UTC
Description of problem:

Files created with nautilus-2.16.0-5.fc6 does not get the correct permissions.
The global umask setting in /etc/bashrc is ignored.

Example:
---------------------------
$ ls -l
total 158
drwxrwsr-x   4 root   allusers  4096 Oct 31 18:42 shared-folder
$ cd shared-folder/
$ ls -l
total 0
-rw------- 1 harald allusers 0 Oct 31 18:40 create.empty.file.in.nautiilus
-rw-rw-r-- 1 harald allusers 1604 Oct 31 20:24 saved.with.gedit
-rw-rw-r-- 1 harald allusers 0 Oct 31 18:40 touched.file.in.bash
$ umask 
0002
---------------------------
With umask 002 all files should inherit the permissions of the parent folder.
And that is what happen when I create a file within a bash shell.
However, as you see in the example, when I create a file by <right click> -
<create document> - <empty file> it does not get the correct permissions. You
can also see that saving a file using gedit give the file the correct permissions.


Version-Release number of selected component (if applicable):
nautilus-2.16.0-5.fc6

How reproducible:

100 %

Steps to Reproduce:change the umask in /etc/bashrc to "umask=002" using vi.
1. create a folder $ mkdir /home/$user/test
2. change permission on test to $ chmod ug+rw test
3. create a file in /home/$user/test with touch, $ touch
/home/$user/test/file.created.with.touch
4. create a file using nautilus in /home/$user/test
5. run $ ls -l /home/$user/test
6. compare permissions of file.
  
Actual results:
$ ls -l
total 0
-rw------- 1 harald allusers 0 Oct 31 18:40 create.empty.file.in.nautiilus
-rw-rw-r-- 1 harald allusers 1604 Oct 31 20:24 saved.with.gedit
-rw-rw-r-- 1 harald allusers 0 Oct 31 18:40 touched.file.in.bash

Expected results:
-rw-rw-r-- 1 harald allusers 0 Oct 31 18:40 create.empty.file.in.nautiilus
-rw-rw-r-- 1 harald allusers 1604 Oct 31 20:24 saved.with.gedit
-rw-rw-r-- 1 harald allusers 0 Oct 31 18:40 touched.file.in.bash

Additional info:
This bug is described here:
http://bugzilla.gnome.org/show_bug.cgi?id=327249

A patch is already posted here: 
http://bugzilla.gnome.org/attachment.cgi?id=74009&action=view

Comment 1 Harald Jensås 2006-10-31 19:36:40 UTC
Created attachment 139892 [details]
This is the patch posted on the bugzilla.gnome

Comment 2 Alexander Larsson 2006-11-20 17:21:35 UTC
That patch is not really right, see my comment upstream.

Comment 3 Harald Jensås 2006-12-25 23:20:32 UTC
Alexabder, did you review the new patch posten on
http://bugzilla.gnome.org/show_bug.cgi?id=327249 ?

Comment 4 Alexander Larsson 2007-01-11 11:38:43 UTC
Commited upstream, will be in next 2.17.x release imported

Comment 5 Matthias Clasen 2008-02-04 06:13:17 UTC
Fixed a long time ago


Note You need to log in before you can comment on or make changes to this bug.